      program aula0
c	programa principal de classificacao
      implicit real *8 (a-h,o-z)
	parameter (nmax=20)
	dimension vec(nmax),aux(nmax)
	common /contador/ icont
      open(unit=1,file='inpaula.txt',status='old')
      open(unit=2,file='outaula.txt',status='unknown')        
c
c	Leitura de dados
c
	read(1,*)n
	write(*,*)'n=',n
      read(1,*)(vec(i),i=1,n)
      write(*,*)(vec(i),i=1,n)
c	pi=4*atan(1.d0)
c	write(*,*)'pi= ',pi
	do i=1,n
		aux(i)=vec(i)
	enddo
c
c       ordenacao ascendente
c
c	metodo da insercao
c
	call piksrt(n,aux)
	write(*,*)(aux(i),i=1,n)
	write(2,*)(aux(i),i=1,n)
	write(*,*)'o numero de operacoes com insercao foi  ',icont
	write(2,*)'o numero de operacoes com insercao foi  ',icont
	do i=1,n
		aux(i)=vec(i)
	enddo
	call hpsort(n,aux)
	write(*,*)(aux(i),i=1,n)
	write(2,*)(aux(i),i=1,n)
	write(*,*)'o numero de operacoes com heapsort foi  ',icont
	write(2,*)'o numero de operacoes com heapsort foi  ',icont
      stop
      end program aula0
c-------------------------------------------------------------------
